import { useAuth } from "@web/src/providers/auth-provider"
import { api } from "@nice/client"
import { Select } from "antd"
import { Department } from "packages/common/dist"

export default function DepartmentChildrenSelect() {
    const { user, isAuthenticated } = useAuth()
    
    const { data: depts, isLoading: deptsLoading }
    : { data: Department[], isLoading: boolean } 
    = isAuthenticated ? api.department.getChildSimpleTree.useQuery({
        rootId: user.deptId
    }) : { data: null, isLoading: false }

    const deptSelectOptions = depts?.map((dept) => ({
        label: dept.name,
        value: dept.id
    }))
    return (
        <Select
            placeholder="请选择单位"
            optionFilterProp="label"
            options={deptSelectOptions}
        />
    )
}